GNUNET-ECC(1)

NAME
gnunet-ecc - manipulate GNUnet ECC key files

SYNOPSIS
gnunet-ecc [-g COUNT | --generate-keys=COUNT] [-p | --print-public-key] [-P | --print-private-key] [-x | --print-hex] [-c FILENAME | --config=FILENAME] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-v | --version] <FILENAME>

DESCRIPTION
gnunet-ecc can be used to create an ECC private key and to print the corresponding public key. You must specify a filename containing an ECC private key in GNUnet format as an argument. If the file does not exist, gnunet-ecc will create a key. This may then take a while. If the option -p is given, the corresponding public key will be printed to the console.

-g COUNT | --generate-keys=COUNT
    Create COUNT public-private key pairs and write them to FILENAME. Used for creating a file for testing.

-p | --print-public-key
    Print the corresponding public key to stdout. This is the value used for PKEY records in GNS.

-P | --print-private-key
    Print the corresponding private key to stdout. This is the value used for PKEY records in GNS.

-x | --print-hex
    Print the corresponding public key to stdout in HEX format. Useful for comparing to Ed25519 keys in X.509 tools.

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-h | --help
    Print short help on options.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-v | --version
    Print GNUnet version number.

SEE ALSO
The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.